package com.mortals.xhx.module.business.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.vo.BusinessMatterVo;
/**
 * 业务事项关联实体对象
 *
 * @author zxfei
 * @date 2022-01-20
 */

public class BusinessMatterEntity extends BusinessMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 业务id
     */
    private Long siteBusinessId;
    /**
     * 业务名称
     */
    private String siteBusinessName;
    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;



    public BusinessMatterEntity(){}
    /**
     * 获取 站点ID
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点ID
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 业务id
     * @return Long
     */
    public Long getSiteBusinessId(){
        return siteBusinessId;
    }
    /**
     * 设置 业务id
     * @param siteBusinessId
     */
    public void setSiteBusinessId(Long siteBusinessId){
        this.siteBusinessId = siteBusinessId;
    }
    /**
     * 获取 业务名称
     * @return String
     */
    public String getSiteBusinessName(){
        return siteBusinessName;
    }
    /**
     * 设置 业务名称
     * @param siteBusinessName
     */
    public void setSiteBusinessName(String siteBusinessName){
        this.siteBusinessName = siteBusinessName;
    }
    /**
     * 获取 事项id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessMatterEntity) {
            BusinessMatterEntity tmp = (BusinessMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",siteBusinessId:").append(getSiteBusinessId());
        sb.append(",siteBusinessName:").append(getSiteBusinessName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = null;

        this.siteBusinessId = null;

        this.siteBusinessName = null;

        this.matterId = null;

        this.matterName = null;
    }
}